org.richfaces.component

## Enum UIDataScroller.Properties

- java.lang.Object
- - java.lang.Enum<UIDataScroller.Properties>
  - - org.richfaces.component.UIDataScroller.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIDataScroller.Properties>
  Enclosing class:
    UIDataScroller

      protected static enum UIDataScroller.Properties
      extends Enum<UIDataScroller.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `boundaryControls`
    `data`
    `execute`
    `fastControls`
    `fastStep`
    `lastPageMode`
    `limitRender`
    `maxPages`
    `onbeforedomupdate`
    `onbegin`
    `oncomplete`
    `render`
    `renderIfSinglePage`
    `resetValues`
    `scrollListener`
    `status`
    `stepControls`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIDataScroller.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIDataScroller.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### boundaryControls

          public static final UIDataScroller.Properties boundaryControls

    - #### data

          public static final UIDataScroller.Properties data

    - #### execute

          public static final UIDataScroller.Properties execute

    - #### fastControls

          public static final UIDataScroller.Properties fastControls

    - #### fastStep

          public static final UIDataScroller.Properties fastStep

    - #### lastPageMode

          public static final UIDataScroller.Properties lastPageMode

    - #### limitRender

          public static final UIDataScroller.Properties limitRender

    - #### maxPages

          public static final UIDataScroller.Properties maxPages

    - #### onbeforedomupdate

          public static final UIDataScroller.Properties onbeforedomupdate

    - #### onbegin

          public static final UIDataScroller.Properties onbegin

    - #### oncomplete

          public static final UIDataScroller.Properties oncomplete

    - #### render

          public static final UIDataScroller.Properties render

    - #### renderIfSinglePage

          public static final UIDataScroller.Properties renderIfSinglePage

    - #### resetValues

          public static final UIDataScroller.Properties resetValues

    - #### scrollListener

          public static final UIDataScroller.Properties scrollListener

    - #### status

          public static final UIDataScroller.Properties status

    - #### stepControls

          public static final UIDataScroller.Properties stepControls

    - #### style

          public static final UIDataScroller.Properties style

    - #### styleClass

          public static final UIDataScroller.Properties styleClass

    - #### title

          public static final UIDataScroller.Properties title

  - ### Method Detail

    - #### values

          public static UIDataScroller.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIDataScroller.Properties c : UIDataScroller.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIDataScroller.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.